petsc-3.15.0 2021-03-30
Report Typos and Errors

# DMStagVecRestoreArray

restore access to a raw array

### Synopsis

    PetscErrorCode DMStagVecRestoreArray(DM dm,Vec vec,void *array)

Logically Collective

### Input Parameters

| dm | - the DMStag object
| vec | - the Vec object

### Output Parameters

| array | - the array

### See Also

DMSTAG, DMStagVecGetArray(), DMDAVecRestoreArray(), DMDAVecRestoreArrayDOF()

### Level

beginner

### Location

src/dm/impls/stag/stagutils.c

### Examples

src/dm/impls/stag/tutorials/ex1.c.html
src/dm/impls/stag/tutorials/ex2.c.html
src/dm/impls/stag/tutorials/ex3.c.html
src/dm/impls/stag/tutorials/ex6.c.html
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages